#include <iostream>

using namespace std;

int main()
{
    int n, m, r = 0;
    cin >> n >> m;
    for(int i = 0; i < n-2; i++)
    {
        if(i % 2 == 0)
        {
          r+= m / 2 + m % 2;
        }
        else
        {
            r+= m-1;
        }
    }
    r+= 2*m;
    cout << r;
    return 0;
}